Subject: [bug#69302] [PATCH 1/2] doc: Add “Getting Started with the System” section.

From: Oleg Pykhalov <[email-masked]>
Date: Sun, 25 Feb 2024 01:24:31 +0300

Ludovic Courtès <[email-masked]> writes:

> Oleg Pykhalov <[email-masked]> skribis:
>
>>> +@example
>>> +/gnu/store/@dots{}-run-vm.sh
>>> +@end example
>>> +
>>> +@noindent
>>> +In this VM, you can log in as @code{root} with no password.  That's a
>>> +good way to check that your configuration file is correct and that it
>>> +gives the expected result, without touching your system.  @xref{Invoking
>>> +guix system}, for more information.
>>
>> What are your thoughts on the description of the 'file-systems' and
>> 'bootloader' fields? Should users not rely on them during this test?
>
> These fields have no effect when using ‘guix system vm’.  Did you mean
> that this should be clarified?

Indeed, other fields lacking effects should also be clarified for better
understanding.

>> Additionally, static networking configuration will not function
>> correctly in the generated '/gnu/store/...-run-vm.sh' script unless
>> specific flags are provided.
>
> Good point.  I see several ways out of it: (1) change
> ‘virtualized-operating-system’ to replace
> ‘static-networking-service-type’ with ‘dhcp-client-service-type’, or (2)
> mention it in the doc, or (3) do nothing, assuming that people using
> static networking are already advanced users and not really the target
> audience of this section.
>
> Thoughts?

I believe option (2) will be beneficial. Additionally, if you have
experience using 'avahi' while running a guest virtual machine with
'/gnu/store/...-run-vm.sh,' I would appreciate knowing if it operates
similarly to the host system. My assumption is that the guest can
discover .local hosts, but external hosts may not be able to find the
guest virtual machine.

Thanks,
Oleg.